/**
 * @Description: 合作企业
 * @Author: 空白格
 * @Date: 2022-08-11 16:31:06
 * @LastEditors: gcz
 * @LastEditTime: 2022-08-23 16:58:53
 * @FilePath: \veterans_client_web\src\api\CooperativeEnterprise\index.js
 * @Copyright: Copyright (c) 2016~2022 by 空白格, All Rights Reserved.
 */
import request from '@/utils/request'
/**
 * 获取合作企业列表
 * @param {*} params
 * @returns
 */
export function getCompanyList(params) {
  return request({
    url: '/app/company/list',
    method: 'get',
    headers: {
      noLoginFlag: true
    },
    params
  })
}

/**
 * 获取企业详情
 * @param {*} params
 * @returns
 */
export function getCompanyDetails(params) {
  return request({
    url: '/app/company/getDetail/' + params.companyId,
    method: 'get',
    headers: {
      noLoginFlag: true
    },
    params
  })
}

/**
 * 获取企业招聘职位
 * @param {*} params
 * @returns
 */
export function getCompanyPositon(params) {
  return request({
    url: '/app/companypost/list/' + params.companyId,
    method: 'get',
    headers: {
      noLoginFlag: true
    },
    params
  })
}

/**
 * 获取职位详情
 * @param {*} params
 * @returns
 */
export function getJobDetails(params) {
  return request({
    url: '/app/companypost/getDetail/' + params.positionId,
    method: 'get',
    headers: {
      noLoginFlag: true
    },
    params
  })
}

/**
 * 投递简历
 * @param {*} params
 * @returns
 */
export function applyJob(data) {
  return request({
    url: '/app/delivery/add',
    method: 'post',
    data
  })
}


